Bug 1134343 - Review Request: perl-Digest-SHA3 - Perl extension for SHA-3
Summary: Review Request: perl-Digest-SHA3 - Perl extension for SHA-3
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Denis Fateyev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1134270
TreeView+ depends on / blocked
 
Reported: 2014-08-27 11:06 UTC by David Dick
Modified: 2014-10-17 17:37 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-10-08 19:01:58 UTC
denis: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description David Dick 2014-08-27 11:06:15 UTC
Spec URL: https://ddick.fedorapeople.org/packages/perl-Digest-SHA3.spec
SRPM URL: https://ddick.fedorapeople.org/packages/perl-Digest-SHA3-0.22-1.fc20.src.rpm
Description: Perl extension for SHA-3
Fedora Account System Username: ddick

Comment 2 Denis Fateyev 2014-09-28 23:00:31 UTC
The URL and Source0 are usable. Ok.
The source archive is original (SHA-256: f2718f10b0acf5e5bd55c0e472115cf65c92f234984b018567329b5f1096ea2b). Ok.
Summary is Ok.
Description is Ok.

License verified from lib/Digest/SHA3.pm, src/sdf.c, src/sha3.c, src/sha3.h, sha3sum.
"You can redistribute it and/or modify it under the same terms as Perl itself."
GPL+ or Artistic. License is Ok.

XS code presents, arch is correct, debuginfo is usable: Ok.
Build-time dependencies are Ok.
All tests pass. Ok.

]$ rpmlint  perl-Digest-SHA3-0.22-1.fc20.denf.src.rpm perl-Digest-SHA3-0.22-1.fc20.denf.x86_64.rpm perl-Digest-SHA3-debuginfo-0.22-1.fc20.denf.x86_64.rpm sha3sum-0.22-1.fc20.denf.noarch.rpm
perl-Digest-SHA3.x86_64: W: incoherent-version-in-changelog 0.22-1 ['0.22-1.fc20.denf', '0.22-1.denf']
4 packages and 0 specfiles checked; 0 errors, 1 warnings.
Omitting warning caused by RPM settings on my machine. Rpmlint is Ok.

$ rpm -q -lv -p perl-Digest-SHA3-0.22-1.fc20.denf.x86_64.rpm 
drwxr-xr-x    2 root    root                        0 сен 29 04:06 /usr/lib64/perl5/vendor_perl/Digest
-rw-r--r--    1 root    root                    16101 июн  1 13:15 /usr/lib64/perl5/vendor_perl/Digest/SHA3.pm
drwxr-xr-x    2 root    root                        0 сен 29 04:06 /usr/lib64/perl5/vendor_perl/auto/Digest
drwxr-xr-x    2 root    root                        0 сен 29 04:06 /usr/lib64/perl5/vendor_perl/auto/Digest/SHA3
-rwxr-xr-x    1 root    root                    28232 сен 29 04:06 /usr/lib64/perl5/vendor_perl/auto/Digest/SHA3/SHA3.so
drwxr-xr-x    2 root    root                        0 сен 29 04:06 /usr/share/doc/perl-Digest-SHA3
-rw-r--r--    1 root    root                     3888 июн  1 13:15 /usr/share/doc/perl-Digest-SHA3/Changes
-rw-r--r--    1 root    root                     1536 июн  1 13:15 /usr/share/doc/perl-Digest-SHA3/README
drwxr-xr-x    2 root    root                        0 сен 29 04:06 /usr/share/doc/perl-Digest-SHA3/examples
-rw-r--r--    1 root    root                     1252 сен 29 04:06 /usr/share/doc/perl-Digest-SHA3/examples/dups3
-rw-r--r--    1 root    root                     7287 сен 29 04:06 /usr/share/man/man3/Digest::SHA3.3pm.gz

$ rpm -q -lv -p sha3sum-0.22-1.fc20.denf.noarch.rpm 
-rwxr-xr-x    1 root    root                     8573 сен 29 04:06 /usr/bin/sha3sum
drwxr-xr-x    2 root    root                        0 сен 29 04:06 /usr/share/doc/sha3sum
-rw-r--r--    1 root    root                     1536 июн  1 13:15 /usr/share/doc/sha3sum/README
-rw-r--r--    1 root    root                     2980 сен 29 04:06 /usr/share/man/man1/sha3sum.1.gz
File permissions and layout are Ok.

$ rpm -q --requires -p perl-Digest-SHA3-0.22-1.fc20.denf.x86_64.rpm | sort -f | uniq -c
      1 libc.so.6()(64bit)
      1 libc.so.6(GLIBC_2.14)(64bit)
      1 libc.so.6(GLIBC_2.2.5)(64bit)
      1 libc.so.6(GLIBC_2.3.4)(64bit)
      1 libc.so.6(GLIBC_2.4)(64bit)
      1 libperl.so.5.18()(64bit)
      1 perl >= 0:5.003000
      1 perl(:MODULE_COMPAT_5.18.2)
      1 perl(DynaLoader)
      1 perl(Exporter)
      1 perl(Fcntl)
      1 perl(integer)
      1 perl(strict)
      1 perl(vars)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 rtld(GNU_HASH)

$ rpm -q --requires -p sha3sum-0.22-1.fc20.denf.noarch.rpm | sort -f | uniq -c
      1 /usr/bin/perl
      1 perl(Digest::SHA3)
      1 perl(Fcntl)
      1 perl(Getopt::Long)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Requires are Ok.

$ rpm -q --provides -p perl-Digest-SHA3-0.22-1.fc20.denf.x86_64.rpm | sort -f | uniq -c
      1 perl(Digest::SHA3) = 0.22
      1 perl-Digest-SHA3 = 0.22-1.fc20.denf
      1 perl-Digest-SHA3(x86-64) = 0.22-1.fc20.denf

$ rpm -q --provides -p sha3sum-0.22-1.fc20.denf.noarch.rpm | sort -f | uniq -c
      1 sha3sum = 0.22-1.fc20.denf
Provides are Ok.

Package can be built successfully in Rawhide and EPEL7:
https://koji.fedoraproject.org/koji/taskinfo?taskID=7716419
https://koji.fedoraproject.org/koji/taskinfo?taskID=7716423
Build is Ok.

Package is in line with Fedora and Perl packaging guidelines.

Review result: package is APPROVED.

Comment 3 David Dick 2014-09-29 08:38:25 UTC
Thanks Denis!

New Package SCM Request
=======================
Package Name: perl-Digest-SHA3
Short Description: Perl extension for SHA-3
Upstream URL: http://search.cpan.org/dist/Digest-SHA3/
Owners: ddick
Branches: f20, f21, epel7, el6
InitialCC: perl-sig

Comment 4 Gwyn Ciesla 2014-09-29 12:12:00 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2014-09-29 20:50:10 UTC
perl-Digest-SHA3-0.22-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Digest-SHA3-0.22-1.fc20

Comment 6 Fedora Update System 2014-09-29 21:04:30 UTC
perl-Digest-SHA3-0.22-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/perl-Digest-SHA3-0.22-1.fc21

Comment 7 Fedora Update System 2014-09-29 21:25:17 UTC
perl-Digest-SHA3-0.22-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Digest-SHA3-0.22-1.el6

Comment 8 Fedora Update System 2014-09-29 21:31:36 UTC
perl-Digest-SHA3-0.22-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-Digest-SHA3-0.22-1.el7

Comment 9 Fedora Update System 2014-09-30 17:38:49 UTC
perl-Digest-SHA3-0.22-1.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 10 Fedora Update System 2014-10-08 19:01:58 UTC
perl-Digest-SHA3-0.22-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 11 Fedora Update System 2014-10-10 16:10:55 UTC
perl-Digest-SHA3-0.22-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 12 Fedora Update System 2014-10-17 17:33:51 UTC
perl-Digest-SHA3-0.22-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 13 Fedora Update System 2014-10-17 17:37:58 UTC
perl-Digest-SHA3-0.22-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.